/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.categories.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

import org.osgi.annotation.versioning.ProviderType;

/**
 * @author Eudaldo Alonso
 */
@ExtendedObjectClassDefinition(
	category = "assets", scope = ExtendedObjectClassDefinition.Scope.COMPANY
)
@Meta.OCD(
	id = "com.liferay.asset.categories.configuration.AssetCategoriesCompanyConfiguration",
	localization = "content/Language",
	name = "categorization-configuration-name"
)
@ProviderType
public interface AssetCategoriesCompanyConfiguration {

	@Meta.AD(
		deflt = "https://learn.liferay.com/dxp/7.x/en/content-authoring-and-management/tags-and-categories/defining-categories-and-vocabularies-for-content.html",
		description = "link-to-documentation-url-description",
		name = "link-to-documentation-url", required = false
	)
	public String linkToDocumentationURL();

	@Meta.AD(
		deflt = "150",
		description = "maximum-number-of-categories-per-vocabulary-description",
		name = "maximum-number-of-categories-per-vocabulary", required = false
	)
	public int maximumNumberOfCategoriesPerVocabulary();

}